/*Google Font import*/
@import url('http://fonts.cdnfonts.com/css/valorant');

@import url('https://fonts.googleapis.com/css2?family=Lato:wght@300&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Lobster&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Yanone+Kaffeesatz&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Comfortaa:wght@500&display=swap');



*{
  margin: 0;
  padding: 0;
  border: ;
  box-sizing: border-box;

}

body {
/*  	background-image: url(img/background.jpg);
  	background-color: #EECF6D;

    font-family: 'Lato', sans-serif;
    background-blend-mode: screen;*/

    /*default background chosen during capstone grading*/
background: rgb(0,0,0);
background: linear-gradient(315deg, rgba(0,0,0,1) 25%, rgba(1,33,107,1) 75%, rgba(0,0,0,1) 100%);

    /*gray background*/
/*  background: rgb(94,92,108);
    background: linear-gradient(90deg, rgba(94,92,108,1) 0%, rgba(86,103,125,1) 50%, rgba(11,85,99,1) 100%);
  */

    /*rgb dark background*/
/*    background: rgb(0,0,0);
    background: linear-gradient(137deg, rgba(0,0,0,1) 0%, rgba(24,0,0,1) 25%, rgba(0,25,25,1) 50%, rgba(24,28,0,1) 75%, rgba(0,0,0,1) 100%);
*/
    /*rgb dark background with highlights*/
/*    background: rgb(133,133,133);
    background: linear-gradient(137deg, rgba(133,133,133,1) 0%, rgba(24,28,0,1) 0%, rgba(0,25,25,1) 50%, rgba(24,0,0,1) 100%, rgba(117,117,117,1) 100%);
    */
    /*dark cyan background*/
/*    background: rgb(133,133,133);
    background: linear-gradient(137deg, rgba(133,133,133,1) 0%, rgba(0,0,0,1) 0%, rgba(40,89,72,1) 70%, rgba(24,0,0,1) 100%, rgba(0,0,0,1) 100%);
*/

    /*white gradient background*/
/*    background: rgb(172,170,170);
    background: linear-gradient(137deg, rgba(172,170,170,1) 0%, rgba(255,255,255,1) 16%, rgba(24,24,24,1) 100%);
*/

  /*gray playful background*/
/*  background: rgb(0,0,0);
  background: linear-gradient(77deg, rgba(0,0,0,1) 0%, rgba(103,103,103,1) 25%, rgba(0,0,0,1) 75%);
*/



}

/*
to make a decagon shape developer profile picture*/
#landingphoto {
  clip-path: polygon(50% 0%, 80% 10%, 100% 35%, 100% 70%, 80% 90%, 50% 100%, 20% 90%, 0% 70%, 0% 35%, 20% 10%);
  opacity: 0.8;
}



#aboutme1 {
clip-path: polygon(50% 0%, 80% 10%, 100% 35%, 100% 70%, 80% 90%, 50% 100%, 20% 90%, 0% 70%, 0% 35%, 20% 10%);
}
#aboutme2 {
  clip-path: polygon(50% 0%, 80% 10%, 100% 35%, 100% 70%, 80% 90%, 50% 100%, 20% 90%, 0% 70%, 0% 35%, 20% 10%);
}

#profile {
	border-radius: 50%;

}

#navFont{
  font-family: 'VALORANT', sans-serif;
  font-size: 20px;
}

#sectionFont{
  font-family: 'VALORANT', sans-serif;
  font-size: 40px;

}

#fullName {
      font-size: 100px;
}

#myFunc {
      font-family: 'Lobster', cursive;
}

#role{
      font-family: 'Yanone Kaffeesatz', sans-serif;
}

/*for carousel items*/
    .carousel-item {
        height:  39rem;
        background: black;
        color: white;
        background-position: stretch;
        background-size: center;
        
      }
      .container {
        top: 0;
        bottom: 0;
        right:  0;
        left:  0;
        padding-bottom: 5px;
      }
      #firstCarousel{
                background-image: url(img/capstoneproject1.png);

                opacity:0.9;"
      }
      #secondCarousel{
                background-image: url(img/capstoneproject2.png);
                opacity:0.9;"
      }
      #thirdCarousel{
                background-image: url(img/construction.png);
                opacity:0.9;"
      }

#developerpic{
  width: 18rem;

}






/* Add a hover effect if you want */
.fa:hover {
  opacity: 0.7;
}

/* Set a specific color for each brand */

.fa {
  padding:15px 15px;
  font-size: 26px;
  width: 50px;
  text-align: left;
  text-decoration: none;
  margin: 5px 2px;
  border-radius: 30%;
}

/* Facebook */
.fa-facebook {
  background: #007bb5;
  color: white;
}

/* Twitter */
.fa-twitter {
  background: #55ACEE;
  color: white;
}

.fa-linkedin {
  background: #007bb5;
  color: white;
}

.fa-skype {
  background: #00aff0;
  color: white;
}


/*for animated button*/

/*body {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  background-color: #F8F005;
}*/

.animatedButton, .animatedButton::after {

  width: 330px;
  height: 86px;
  font-size: 36px;
  font-family: 'VALORANT', sans-serif;
  background: rgb(14,14,14);
  background: linear-gradient(77deg, rgba(14,14,14,1) 0%, rgba(255,0,168,1) 25%, rgba(38,0,255,1) 75%, rgba(0,0,0,1) 100%);
  border: 0;
  color: #fff;
  letter-spacing: 3px;
  line-height: 88px;
  box-shadow: 6px 0px 0px #00ffef;
  outline: transparent;
  position: relative;
}

.animatedButton::after {
  --slice-0: inset(50% 50% 50% 50%);
  --slice-1: inset(80% -6px 0 0);
  --slice-2: inset(50% -6px 30% 0);
  --slice-3: inset(10% -6px 85% 0);
  --slice-4: inset(40% -6px 43% 0);
  --slice-5: inset(80% -6px 5% 0);
  
  content: 'YES PLEASE!';
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: linear-gradient(45deg, transparent 3%, #00E6F6 3%, #00E6F6 5%, #FF013C 5%);
  text-shadow: -3px -3px 0px #F8F005, 3px 3px 0px #00E6F6;
  clip-path: var(--slice-0);
}

.animatedButton:hover::after {
  animation: 1.5s glitch;
  animation-timing-function: steps(2, end);
}

@keyframes glitch {
  0% {
    clip-path: var(--slice-1);
    transform: translate(-20px, -10px);
  }
  10% {
    clip-path: var(--slice-3);
    transform: translate(10px, 10px);
  }
  20% {
    clip-path: var(--slice-1);
    transform: translate(-10px, 10px);
  }
  30% {
    clip-path: var(--slice-3);
    transform: translate(0px, 5px);
  }
  40% {
    clip-path: var(--slice-2);
    transform: translate(-5px, 0px);
  }
  50% {
    clip-path: var(--slice-3);
    transform: translate(5px, 0px);
  }
  60% {
    clip-path: var(--slice-4);
    transform: translate(5px, 10px);
  }
  70% {
    clip-path: var(--slice-2);
    transform: translate(-10px, 10px);
  }
  80% {
    clip-path: var(--slice-5);
    transform: translate(20px, -10px);
  }
  90% {
    clip-path: var(--slice-1);
    transform: translate(-10px, 0px);
  }
  100% {
    clip-path: var(--slice-1);
    transform: translate(0);
  }
}

/*Google Maps Footer*/
.iframe-rwd  {
position: relative;
padding-bottom: 30%;
height: ;
overflow: hidden;
}
.iframe-rwd iframe {
position: absolute;
top: 0;
left: 0;
width: 100%;
height: 100%;
}



/*----------------------------------------------- SECTION TRY CAROUSEL 1*/
#toggleContainer label {
  text-align: center;
  width: 70px;
}

#container {
  height: 100vh;
  width: 50%;
  box-sizing: border-box;
}

#toggleContainer {
  height: 10vh;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  width: 95vw;
  position: absolute;
}


#galleryContainer { 
  height: 500px;
  width: 800px;
  background: transparent;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  position: relative;
}

#toggle {
  height: 10vh;
  width: 200px;
  display: flex;
  align-items: center;
  margin: 10px;
}

#galleryView {
  height: 100vh;
  width: 100vw;
 /* background: rgb(246,210,106);*/
  /*background: linear-gradient(111deg, rgba(246,210,106,1) 0%, rgba(255,159,0,1) 52%, rgba(251,197,100,1) 100%);*/
  display: flex;
  justify-content: center;
  align-items: center;
}

/*#outer3 {
  width: 100px;
  height: 40px;
  background-color: white;
  margin: 10px auto;
  border-radius: 3px;
  border: 2px solid white;
  transition: all 0.5s;
}*/

#slider3 {
  height: 36px;
  width: 46px;
  background-color: orange;
  border-radius: 3px;  
  transition: all 0.5s;
}

#slider3.active {
  -webkit-transform: translatex(50px);
  -ms-transform: translatex(50px);
  -o-transform: translatex(50px);
  transform: translatex(50px);
  transition: all 0.5s;
  background-color: orange;
}

#outer3.outerActive {
  background-color: white;
  border: 2px solid white;
  transition: all 0.5s;
}

#mainView {
  height: 450px;
  width: 450px;  
  border-radius: 5px;
  background-color: #eb9100;
  margin-left: 0px;
  margin-right: 0px;
  z-index: 1;
  transition: all 1s;  
}

#mainView:hover {
  transform: scale(1.2);
  transition: all 1s;   
}

#leftView {
  height: 400px;
  width: 150px;
  opacity: 0.5;
  border-radius: 5px;
  transform: skewy(5deg);
  transform-origin: top right;
  background-color: #eb9100;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 1s;  
}

#leftView:hover {
  opacity: 1;
  transition: all 1s;
}

#rightView {
  height: 400px;
  width: 150px;
  opacity: 0.5;
  border-radius: 5px;
  transform: skewy(-5deg);
  transform-origin: top left;
  background-color: #eb9100;
  display: flex;
  justify-content: center;
  align-items: center;
 transition: all 1s;
}

#rightView:hover {
  opacity: 1;
  transition: all 1s;
}

.navBtns {
  width: 80px;
  height: 80px;
  border-radius: 50%;
  border: none;
  position: absolute;
  opacity: 0.8;
  background-color: transparent;
  cursor: pointer;
  color: white;
}

.navBtns:hover {
  opacity: 1;
  transition: all 1s;
  background-color: #eb9100;
}

#navLeft {
  left: 50px;
}

#navRight {
  right: 50px;
}

#linkTag { 
  cursor: pointer;
  z-index: 1;
  box-sizing: border-box;
}



/*----------------------------------------------- SECTION TRY CAROUSEL 2*/

#tryCarousel2{

background-color: coral;
}


main#carousel {
  grid-row: 1 / 2;
  grid-column: 1 / 8;
  width: 100vw;
  height: 500px;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  transform-style: preserve-3d;
  perspective: 600px;
  --items: 5;
  --middle: 3;
  --position: 1;
  pointer-events: none;
}

div.item {
  position: absolute;
  width: 300px;
  height: 400px;
  background-color: coral;
  --r: calc(var(--position) - var(--offset));
  --abs: max(calc(var(--r) * -1), var(--r));
  transition: all 0.25s linear;
  transform: rotateY(calc(-10deg * var(--r)))
    translateX(calc(-300px * var(--r)));
  z-index: calc((var(--position) - var(--abs)));
}

div.item:nth-of-type(1) {
  --offset: 1;
  background-color: #90f1ef;
}
div.item:nth-of-type(2) {
  --offset: 2;
  background-color: #ff70a6;
}
div.item:nth-of-type(3) {
  --offset: 3;
  background-color: #ff9770;
}
div.item:nth-of-type(4) {
  --offset: 4;
  background-color: #ffd670;
}
div.item:nth-of-type(5) {
  --offset: 5;
  background-color: #e9ff70;
}

input:nth-of-type(1) {
  grid-column: 2 / 3;
  grid-row: 2 / 3;
}
input:nth-of-type(1):checked ~ main#carousel {
  --position: 1;
}

input:nth-of-type(2) {
  grid-column: 3 / 4;
  grid-row: 2 / 3;
}
input:nth-of-type(2):checked ~ main#carousel {
  --position: 2;
}

input:nth-of-type(3) {
  grid-column: 4 /5;
  grid-row: 2 / 3;
}
input:nth-of-type(3):checked ~ main#carousel {
  --position: 3;
}

input:nth-of-type(4) {
  grid-column: 5 / 6;
  grid-row: 2 / 3;
}
input:nth-of-type(4):checked ~ main#carousel {
  --position: 4;
}

input:nth-of-type(5) {
  grid-column: 6 / 7;
  grid-row: 2 / 3;
}
input:nth-of-type(5):checked ~ main#carousel {
  --position: 5;
}


/*----------------------------------------------- SECTION TRY CAROUSEL 2*/



